Skip to main content
PUT
Update vehicle information

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

The two-letter country code of the asset provider the vehicles belong to

Required string length: 2
assetProviderCode
string
required

The three-character code of the asset provider the vehicles belong to

Required string length: 3
vehicleId
string
required

The id of the vehicle

Body

application/json

The request body contains the new vehicle information that should replace the current one of the specified vehicle

vin
string
required
Example:

"0F0EAATTRBPC3CDBB"

vendor
string
Example:

"BMW"

model
string
Example:

"Zoe"

variant
string
Example:

"Long Range"

licensePlate
string
Example:

"W-53A"

fuelType
enum<string>
Available options:
DIESEL,
REGULAR,
PLUS,
ELECTRIC,
HYBRID,
PLUGINHYBRID
seats
integer
Example:

5

gear
enum<string>
Available options:
Manual,
Automatic,
SemiAutomatic
firstRegistrationDate
string<date>
Example:

"2023-08-17"

buildYear
integer
Example:

2023

evBatteryCapacity
number<double>

Capacity of the EV battery in kWh

Example:

10.4

iceTankCapacity
number<double>

Capacity of the ICE fuel tank in liters

Example:

10.4

trackGeolocation
boolean

Describes whether geolocation tracking is active or not

autoLogbookType
enum<string>

Default logbook entry type for new entries when auto-logbook is enabled. Null means auto-logbook is off

Available options:
Business,
Private

Response

The new vehicle information

vin
string
required
Example:

"0F0EAATTRBPC3CDBB"

vendor
string
Example:

"BMW"

model
string
Example:

"Zoe"

variant
string
Example:

"Long Range"

licensePlate
string
Example:

"W-53A"

fuelType
enum<string>
Available options:
DIESEL,
REGULAR,
PLUS,
ELECTRIC,
HYBRID,
PLUGINHYBRID
seats
integer
Example:

5

gear
enum<string>
Available options:
Manual,
Automatic,
SemiAutomatic
firstRegistrationDate
string<date>
Example:

"2023-08-17"

buildYear
integer
Example:

2023

evBatteryCapacity
number<double>

Capacity of the EV battery in kWh

Example:

10.4

iceTankCapacity
number<double>

Capacity of the ICE fuel tank in liters

Example:

10.4

trackGeolocation
boolean

Describes whether geolocation tracking is active or not

autoLogbookType
enum<string>

Default logbook entry type for new entries when auto-logbook is enabled. Null means auto-logbook is off

Available options:
Business,
Private